<div *ngIf="!settings; else elseBlock">Loading...</div>

<ng-template #elseBlock>
    <table>
        <tr *ngFor="let setting of settings">
            <label>{{ setting.place | ordinal }} place: </label>
            <td>
                <input type="text" disabled="true" value="{{setting.prize * 100}}">
            </td>
        </tr>
        <tr>
            <td></td>
            <td>
                <div *ngIf="editMode">
                    <button class="btn-plus"><i class="fa-solid fa-plus fa-xs"></i></button>
                    <button class="btn-delete"><i class="fa-solid fa-times fa-xs"></i></button>
                </div>
                <button [ngClass]="!editMode ? 'btn-edit' : 'btn-edit-activated'" (click)="toggleEdit()"><i
                        class="fa-solid fa-pencil fa-xs"></i></button>
            </td>
        </tr>
        <tr>
            <td></td>
            <button class="table-btn btn-right" (click)="save()">Save</button>
        </tr>
    </table>
</ng-template>